Categories
Storefront

Storefront 2.5.8 release notes

Storefront 2.5.8 has been tagged for release and uploaded to WordPress.org. This is another small maintenance release.

As a part of this release, Storefront now specifies the “Tested up to:” and “Requires PHP” version checks. Currently, the required PHP version is 5.6.0, but this will likely be bumped in future versions to align with WooCommerce core.

Here’s what’s new in 2.5.8 (pulled directly from the changelog):

  • Fix – Stylesheet storefront-woocommerce-style has storefront-style and storefront-icons as explicit dependencies, so child themes can define storefront-woocommerce-style as a dependency without the risk of breaking the stylesheets order. #1369
  • Fix – Removed woocommerce-legacy.css stylesheets for unsupported versions of WooCommerce (< 4.0). #1368
  • Dev – Adopt RenovateBot for managing dependencies. #1363
  • Dev – Update various dependencies, including major updates:
    • @wordpress/babel-preset-default v4 #1387
    • stylelint v13 #1390

Download the latest release of Storefront from WordPress.org, or venture over to Dashboard → Updates in your WordPress admin to update your theme.

As usual, if you see any issues, please log them in detail on Github.

By Darren Ethier

My name is Darren Ethier. I’m the father of four children and husband of the most beautiful woman in the world. My passion is developing useful and pretty code. I also love anything to do with leadership and the wise use of words.  Currently I'm employed as a Code Wrangler with Automattic.Previous to my employment with Automattic, I had my own business, Rough Smooth Engine and my main client was Event Espresso and Event Smart.  I also am the author/founder of the popular series plugin for WordPress, Organize Series.  You may also see me hanging around working on the WordPress Gutenberg Project (currently on the core team there).